
/* msglevel.h */

#ifndef __PROG_MSGLEVEL_H__
#define __PROG_MSGLEVEL_H__

#include "std.h"

OPEN_NAMESPACE

/* ---------------------------------------------------------------------- */

enum MessageLevel
{
   DebugLevel,    // debugging
   InfoLevel,     // information ( program start, stop, ... ) (not included in message summary)
   NoteLevel,     // message related to source code (repeated in message summary)
   WarningLevel,  // warning about possible mistake
   MistakeLevel,  // error: only report this error, continue with predicate or source
   FlawLevel,     // error: stop predicate, but continue with source processing
   ErrorLevel,    // error: stop current source file
   AbortLevel     // stop compiler (internal error / bug }
};

/* ---------------------------------------------------------------------- */

CLOSE_NAMESPACE

#endif /* __PROG_MSGLEVEL_H__ */
